clang 10.0.0git

Static Public Member Functions | Public Attributes | List of all members
clang::ParsedSourceLocation Struct Reference

A source location that has been parsed on the command line. More...

`#include "clang/Frontend/CommandLineSourceLoc.h"`

Collaboration diagram for clang::ParsedSourceLocation:
[legend]

## Static Public Member Functions
static ParsedSourceLocation | FromString (StringRef Str)
| Construct a parsed source location from a string; the Filename is empty on error. More...

## Public Attributes
std::string | FileName
unsigned | Line
unsigned | Column

## Detailed Description

A source location that has been parsed on the command line.

Definition at line 24 of file CommandLineSourceLoc.h.

## Member Function Documentation

## ◆ FromString()

static ParsedSourceLocation clang::ParsedSourceLocation::FromString | ( | StringRef | Str | ) |
| inline static

Construct a parsed source location from a string; the Filename is empty on error.

Definition at line 32 of file CommandLineSourceLoc.h.

References Column, FileName, and Line.

Referenced by clang::ParsedSourceRange::fromString(), llvm::cl::parser< clang::ParsedSourceLocation >::parse(), and ParseFrontendArgs().

## Member Data Documentation

## ◆ Column

unsigned clang::ParsedSourceLocation::Column

Definition at line 27 of file CommandLineSourceLoc.h.

Referenced by clang::ASTUnit::CodeComplete(), clang::CompilerInstance::createCodeCompletionConsumer(), and FromString().

## ◆ FileName

std::string clang::ParsedSourceLocation::FileName

Definition at line 25 of file CommandLineSourceLoc.h.

Referenced by clang::ASTUnit::CodeComplete(), clang::CompilerInstance::createCodeCompletionConsumer(), clang::ASTFrontendAction::ExecuteAction(), FromString(), llvm::cl::parser< clang::ParsedSourceLocation >::parse(), and ParseFrontendArgs().

## ◆ Line

unsigned clang::ParsedSourceLocation::Line

Definition at line 26 of file CommandLineSourceLoc.h.

Referenced by clang::ASTUnit::CodeComplete(), clang::CompilerInstance::createCodeCompletionConsumer(), and FromString().

The documentation for this struct was generated from the following file:

- include/clang/Frontend/CommandLineSourceLoc.h